native2ascii(1)

Name
native2ascii - Native-to-ASCII Converter

    Converts a file with native-encoded characters (characters which are non-Latin 1 and non-Unicode) to one with Unicode-encoded characters.

SYNOPSIS

native2ascii [options] [inputfile [outputfile]]

DESCRIPTION

The Java compiler and other Java tools can only process files which contain Latin-1 and/or Unicode-encoded (\udddd notation) characters. native2ascii converts files which contain other character encodings into files containing Latin-1 and/or Unicode-encoded charaters.

If outputfile is omitted, standard output is used for output. If, in addition, inputfile is omitted, standard input is used for input.

OPTIONS

    -reverse
        Perform the reverse operation: convert a file with Latin-1 and/or Unicode encoded characters to one with native-encoded characters.

    -encoding encoding_name
        Specify the encoding name which is used by the conversion procedure. The default encoding is taken from System property file.encoding. The encoding_name string must be taken from the first column of the table of supported encodings in the Supported Encodings @
        http://java.sun.com/javase/6/docs/technotes/guides/intl/encoding.doc.html document.

    -Joption
        Pass option to the Java virtual machine, where option is one of the options described on the reference page for the java(1). For example, -J-Xms48m sets the startup memory to 48 megabytes.